cascading.flow.tez

## Class TezCoGroupClosure

- java.lang.Object
- - cascading.pipe.joiner.JoinerClosure
  - - cascading.flow.hadoop.HadoopGroupByClosure
    - - cascading.flow.hadoop.HadoopCoGroupClosure
      - - cascading.flow.tez.TezCoGroupClosure

-     public class TezCoGroupClosure
      extends HadoopCoGroupClosure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.hadoop.HadoopCoGroupClosure

      `HadoopCoGroupClosure.Spill`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.hadoop.HadoopCoGroupClosure

      `collections, numSelfJoins`

    - ### Fields inherited from class cascading.flow.hadoop.HadoopGroupByClosure

      `grouping, values`

    - ### Fields inherited from class cascading.pipe.joiner.JoinerClosure

      `flowProcess, joinFields, valueFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezCoGroupClosure(FlowProcess flowProcess, int numSelfJoins, Fields[] groupingFields, Fields[] valueFields)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `build()`
    `protected Collection<Tuple>` | `createTupleCollection(Fields joinField)`

    - ### Methods inherited from class cascading.flow.hadoop.HadoopCoGroupClosure

      `clearGroups, createIterator, getGroupTuple, getIterator, initLists, isEmpty, reset, size`

    - ### Methods inherited from class cascading.flow.hadoop.HadoopGroupByClosure

      `getGrouping, getValueIterator, makeIterator`

    - ### Methods inherited from class cascading.pipe.joiner.JoinerClosure

      `getFlowProcess, getJoinFields, getValueFields, isSelfJoin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TezCoGroupClosure

          public TezCoGroupClosure(FlowProcess flowProcess,
                           int numSelfJoins,
                           Fields[] groupingFields,
                           Fields[] valueFields)

  - ### Method Detail

    - #### build

          protected void build()

      Overrides:
        `build` in class `HadoopCoGroupClosure`

    - #### createTupleCollection

          protected Collection<Tuple> createTupleCollection(Fields joinField)

      Overrides:
        `createTupleCollection` in class `HadoopCoGroupClosure`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.